package com.xhpc.activity.mapper;

import com.xhpc.activity.domain.XhpcActivityTemplateDomain;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface XhpcActivityTemplateMapper {

    List<XhpcActivityTemplateDomain> selectByParams(@Param("params") Map<String, Object> params);

    List<Map<String,Object>> selectNameMapList(@Param("params")Map<String, Object> params);

    int deleteLogicByPrimaryKey(Integer activity_temlpate_id);

    int deleteByPrimaryKey(Integer activity_temlpate_id);

    int insert(XhpcActivityTemplateDomain record);

    XhpcActivityTemplateDomain selectByPrimaryKey(Integer activity_temlpate_id);

    int updateByPrimaryKey(XhpcActivityTemplateDomain record);

    int updateStatusByPrimaryKey(XhpcActivityTemplateDomain record);
}